PETSc version 3.15.5
Fix/Edit manual page

# PetscRandom

Abstract PETSc object that manages generating random numbers

### Synopsis

    typedef struct _p_PetscRandom*   PetscRandom;

### See Also

PetscRandomCreate(), PetscRandomGetValue(), PetscRandomType

### Level

intermediate

### Location

include/petscsystypes.h

### Examples

src/sys/classes/random/tutorials/ex2.c.html

### Implementations

_p_PetscRandom in src/sys/classes/random/randomimpl.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages